%define major	1
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:		unarr
Version:	1.1.1
Release:	%mkrel 2
Summary:	A decompression library
Group:		System/Libraries
License:	LGPLv3+
URL:		https://github.com/selmf/unarr/
Source0:	https://github.com/selmf/unarr/releases/download/v%{version}/%{name}-%{version}.tar.xz
Patch0:		unarr-cmake-4.0.patch

BuildRequires:	cmake
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(zlib)

%description
A lightweight decompression library with support for rar, tar and zip
archives.

%package -n %{libname}
Summary:	A decompression library
Group:		System/Libraries

%description -n %{libname}
A lightweight decompression library with support for rar, tar and zip
archives.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc AUTHORS README.md
%license COPYING
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%doc README.md
%{_includedir}/*
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/libunarr.pc
%{_libdir}/cmake/unarr/


%changelog
* Mon Jun 30 2025 daviddavid <daviddavid> 1.1.1-2.mga10
+ Revision: 2230627
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Wed Nov 08 2023 daviddavid <daviddavid> 1.1.1-1.mga10
+ Revision: 2005206
- initial package unarr

